* {
    padding: 0;
    margin: 0;
}

body {
    display: block;
    height: auto;
}

header {
    font-family: 'FreeMono', 'Courier New', Courier, monospace;
    padding-top: 1%;
    padding-left: 2.5%;
    padding-right: 2.5%;
    padding-bottom: 1%;
    background-color: #090909;
    color: #c0c0c0;
    border-bottom: .2em solid #c0c0c0;
}

header h1 {
    font-size: 4em;
    font-weight: normal;
}

header h2 {
    font-size: 2em;
    font-weight: normal;
}

header h3 {
    font-size: 1em;
    font-weight: normal;
}

main {
    margin-left: auto;
    margin-right: auto;
    font-family: 'FreeMono', 'Courier New', Courier, monospace;
    font-size: 1.5em;
    font-weight: normal;
    position: relative;
    padding: 5%;
    background-color: #ffeddc;
}

div.blogspace {
    min-height: 400px;
    background-color: #090909;
    color: #c0c0c0;
    border: .2em solid #c0c0c0;
    padding-top: 2%;
    padding-left: 5%;
    padding-right: 5%;
    padding-bottom: 2%;
    margin: 2.5%;
    overflow: scroll;
}

div.blogspace p {
    padding-bottom: 15px;
}

div.blogspace li {
    padding-left: 25px;
}

div.blogspace h1 {
    font-size: 4em;
    font-weight: normal;
    text-decoration: underline;
    padding-bottom: 15px;
}

div.blogspace h2 {
    font-size: 1.5em;
    font-weight: normal;
    text-decoration: underline;
    padding-bottom: 15px;
}

div.blogspace h3 {
    font-size: 1em;
    font-weight: normal;
    text-decoration: underline;
    padding-bottom: 15px;
}

div.blogspace hr {
    margin-top: 15px;
    margin-bottom: 15px;
}

.signature {
    text-align: right;
}

.jouletext {
    color: #82f1f1;
}

.masetext {
    color: #ff0000;
}

#backbutton {
    float: inline-end;
    text-decoration: underline;
}

.hover:hover {
    background-color: #c0c0c0;
}

.spoiler {
    color: transparent;
    text-decoration: none;
}

.spoiler:hover {
    color: inherit;
    text-decoration: inherit;
}

a {
    text-decoration: underline;
}

a:link {
    color: #c0c0c0;
}

a:visited {
    color: #c0c0c0;
}

a:hover {
    color: #ffffff;
    background-color: #d30000;
}

img {
    max-width: 500px;
}

footer .copyheart {
    position: static;
    padding-left: 2.5%;
    padding-top: 1%;
    padding-bottom: 1%;
    bottom: 1%;
    text-align: left;
    font-family: 'FreeMono', 'Courier New', Courier, monospace;
    font-size: 1em;
    border-top: .2em solid #c0c0c0;
    background-color: #090909;
    color: #c0c0c0;
}